- name: Stop nix-daemon service
  ansible.builtin.systemd:
    name: nix-daemon.service
    state: stopped
    enabled: no
  ignore_errors: yes

- name: Remove /nix directory
  ansible.builtin.file:
    path: /nix
    state: absent

- name: Remove nix entries from root's shell config
  ansible.builtin.lineinfile:
    path: /root/.bashrc
    regexp: "^.*nix.*$"
    state: absent
  ignore_errors: yes

- name: Remove nix entries from root's shell profile
  ansible.builtin.lineinfile:
    path: /root/.profile
    regexp: "^.*nix.*$"
    state: absent
  ignore_errors: yes
